# PlayerPickupItem

Example usage:

```lua
Events.PlayerPickupItem(function(event)
    if (event.player:getEntity() == nil) then
        return
    end
    if (event.itemType == ItemType.GLITCH_TRUMPET) then
        EntityService.spawnKitEntity(KitType.MELODY, event.player:getEntity():getPosition())
        AnnouncementService.sendAnnouncement("Let's jam!")
    end
end)
```

### Parameters

#### player: [Player](/scripting/bedwars-scripting/objects/player.md)

The player that is picking up the item.

#### itemType: [ItemType](/scripting/bedwars-scripting/types/itemtype.md)

The type of item that is being picked up by the player.

#### amount: number

The amount of the item that is being picked up by the player.

#### cancelled: bool <mark style="color:yellow;">\[modifiable]</mark>

If set to true, the item pickup event will be cancelled.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.easy.gg/scripting/bedwars-scripting/events/playerpickupitem.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
